Subject: Re: MTU recommendation? (was: [16NG] Re: I-DACTION:draft-ietf-16ng-ipv6-over-ipv6cs-02.txt)

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 18 Dec 2006 09:58:40 -0800 (PST)

FYI, there is a draft 
draft-pagtzis-16ng-MTU-SDU-config-00.txt
accessible at this link:
http://eeca16.sogang.ac.kr/pipermail/16ng/Week-of-Mon-20060821/000239.html
that discusses this issue in depth. 

--behcet

----- Original Message ----
From: David Johnston <[email-masked]>
To: [email-masked]
Sent: Monday, December 18, 2006 11:38:14 AM
Subject: RE: MTU recommendation? (was: [16NG] Re: I-DACTION:draft-ietf-16ng-ipv6-over-ipv6cs-02.txt)

Alex,

" The 802.16 MAC 
header seems to allow for lengths up to 2^11 (len is encoded on 11 
bits).  So I think the IP stack could put packets as big as 2048 (2^11) 
on the 802.16 MAC, not necessarily 1500."

This doesn't apply at the MAC service interface. There is not
necessarily a 1:1 mapping between MSDUs and MPDUs. Fragmentation and
packing sit within the MAC.

The MTU of the 802.16 MAC CPS is infinite (just keep sending middle
fragments), and so in reality is implementation defined. The MAC service
MTU is either defined by the CS (The Ethernet specific part of the
packet CS does) or something higher up - in the case of the IP specific
part. The 16ng seems to be the right body to do it in the general case.
WiMax seems to be the body to define something they require for
certification.  

<caveat>
Keep in mind that the rules for 802 bridging demand that packets passing
between bridge ports with dissimilar MTUs, where the incoming packets is
larger that the outgoing bridge port can handle must be silently
discarded. So 802.16 might handle your packet, but the bridge might drop
it on the floor if it is larger than the attached Ethernet can handle.
Hence the general reluctance to go for larger MTUs than Ethernet bridges
will handle.
</caveat>

DJ

-----Original Message-----
From: Alexandru Petrescu [mailto:[email-masked]] 
Sent: Saturday, December 16, 2006 9:09 AM
To: Basavaraj Patil
Cc: [email-masked]
Subject: Re: MTU recommendation? (was: [16NG] Re:
I-DACTION:draft-ietf-16ng-ipv6-over-ipv6cs-02.txt)

Basavaraj Patil wrote:
[...]
>>[GM7]This should be the one place where the default MTU is set
>>(whatever the proper value ends up being).
> 
> Text added: The default MTU for IPv6 over 802.16
> SHOULD be the same as specified in RFC2460 which is 1500 octets.

Well, rfc2460 says it should be 1280, and on some links where MTU is 
configurable (ppp is given as an example) it should be 1500.

2460:
>    Links that have a configurable MTU (for example, PPP links [RFC-
>    1661]) must be configured to have an MTU of at least 1280 octets;
it
>    is recommended that they be configured with an MTU of 1500 octets
or
>    greater, to accommodate possible encapsulations (i.e., tunneling)
>    without incurring IPv6-layer fragmentation.

The goal of IP stack setting a correct MTU is that the underlying 
link-layer doesn't send it back a 'too big' message.  802.16 has a means

to require length of SDU (packets) per service flow.  The 802.16 MAC 
header seems to allow for lengths up to 2^11 (len is encoded on 11 
bits).  So I think the IP stack could put packets as big as 2048 (2^11) 
on the 802.16 MAC, not necessarily 1500.

So I think a better text would be:

"The default MTU for IPv6 over 802.16 IPCS SHOULD be the same as 
specified in rfc2460, that is 1280.  If the 802.16 IPCS can set up 
service flows for larger MTUs then the MTU should be 2048, the maximum 
allowed by the 802.16 MAC header".

What do you think?

Alex

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 18 Dec 2006 19:28:08 +0100

Behcet Sarikaya wrote:
> FYI, there is a draft draft-pagtzis-16ng-MTU-SDU-config-00.txt 
> accessible at this link: 

Thanks, that looks as a good discussion.

It starts with 1522 for IP-CS and 1500 for Eth CS (after removal of the
EThernet MAC header, Eth FCS and VLAN tagging.)  I think since we talk
here IPv6 over IP-CS (not over Eth CS), the 1522 figure is important,
and not the 1500.

Then it recommends 1280 for IPv6, for various reasons.

Maybe we need to refine and include that draft's discussion in this
draft (a summary)?

Alex
Quoting that draft:
>   Thus, the following recommendations are made: 
> 
>    o if differentiation between SDU size is to be maintained between 
>       IPv4 and IPv6 then this study recommends that an SDU of 1400 bytes 
>       is mandated for IPv4 and 1280 for IPv6 .   
>    o It is the view of this study that only a single SDU/MTU change 
>       should be pursued by NWG/MTG. That is to say a reduction now to 
>       1400 bytes and subsequently to 1280 bytes would probably impact 
>       later a number of existing 802.16 implementations. To this end, it 
>       is recommended that only a single alteration of the SDU size is 
>       made down to 1280 bytes. 

> 
> --behcet ----- Original Message ---- From: David Johnston 
> <[email-masked]> To: [email-masked] Sent: Monday, December 18,
>  2006 11:38:14 AM Subject: RE: MTU recommendation? (was: [16NG] Re: 
> " The 802.16 MAC header seems to allow for lengths up to 2^11 (len is
>  encoded on 11 bits).  So I think the IP stack could put packets as 
> big as 2048 (2^11) on the 802.16 MAC, not necessarily 1500."
> 
> fragments), and so in reality is implementation defined. The MAC 
> service MTU is either defined by the CS (The Ethernet specific part 
> of the packet CS does) or something higher up - in the case of the IP
>  specific part. The 16ng seems to be the right body to do it in the 
> general case. WiMax seems to be the body to define something they 
> require for certification.
> 
> <caveat> Keep in mind that the rules for 802 bridging demand that 
> packets passing between bridge ports with dissimilar MTUs, where the 
> incoming packets is larger that the outgoing bridge port can handle 
> must be silently discarded. So 802.16 might handle your packet, but 
> the bridge might drop it on the floor if it is larger than the 
> attached Ethernet can handle. Hence the general reluctance to go for 
> larger MTUs than Ethernet bridges will handle. </caveat>
> 
> DJ
> 
> 
> 
> -----Original Message----- From: Alexandru Petrescu 
> [mailto:[email-masked]] Sent: Saturday, December 16,
>  2006 9:09 AM To: Basavaraj Patil Cc: [email-masked] Subject: Re: MTU 
> recommendation? (was: [16NG] Re: 
> Basavaraj Patil wrote: [...]
>> Text added: The default MTU for IPv6 over 802.16 SHOULD be the same
>>  as specified in RFC2460 which is 1500 octets.
> 
> bits).  So I think the IP stack could put packets as big as 2048 
> (2^11) on the 802.16 MAC, not necessarily 1500.
> 
> service flows for larger MTUs then the MTU should be 2048, the 
> maximum allowed by the 802.16 MAC header".
> 
> What do you think?
> 
> Alex
> 
> 
> _______________________________________________ 16NG mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/16ng
> 
> 
> _______________________________________________ 16NG mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/16ng
> 
> 
> ------------------------------------------------------------------------
> 
> 
> 
> _______________________________________________ 16NG mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/16ng